// -*- c++ -*-

#ifndef __pqTensorGlyphPanel_h
#define __pqTensorGlyphPanel_h

// std::cout debugging
#include <iostream>

// Qt Includes.
#include <QCheckBox>
#include <QWidget>
#include <QLabel>
#include <QtDebug>

// ParaView Includes.
#include <pqAutoGeneratedObjectPanel.h>
#include <vtkPVConfig.h>


/// Custom panel for TensorGlyph filter.
/// This panel is only provided to add capabilities to hide/gray out
/// GUI elements in case they do not apply and to link the checkbox
/// FixedThetaPhiRoundness to GammaRoundness/ThetaRoundness/PhiRoundness.
class pqTensorGlyphPanel : public pqAutoGeneratedObjectPanel
{
  Q_OBJECT;
  typedef pqAutoGeneratedObjectPanel Superclass;

public:
  pqTensorGlyphPanel(pqProxy *proxy, QWidget *p);

private:

protected:
  QCheckBox *ColorGlyphsWidget;
  QCheckBox *LimitScalingByEigenvaluesWidget;

  QWidget* ColorModeWidget;
  QLabel*  ColorModeLabel;
  QWidget* MaxScaleFactorWidget;
  QLabel*  MaxScaleFactorLabel;

protected slots:

};

#endif //__pqTensorGlyphPanel_h
